﻿using MapsterMapper;

namespace Hotline.Share.Tools
{
    /// <summary>
    /// mapper 扩展
    /// </summary>
    public static class MapperExtensions
    {
        /// <summary>
        /// 创建映射，使用源对象创建目标对象
        /// </summary>
        /// <typeparam name="TTarget">目标类型</typeparam>
        /// <param name="source">源对象</param>
        /// <returns>创建的目标对象</returns>
        public static TTarget MapTo<TTarget>(this object source)
        {
            var mapper = (IMapper)ServiceLocator.Instance.GetService(typeof(IMapper));
            if (mapper == null) return default;
            return mapper.Map<TTarget>(source);
        }
    }
}